Hi,

I have another Gem feature request; I don't think this has been raised:

Uninstall should offer to uninstall dependencies (or at least list them). 
Uninstalling rails is tough at the moment; I'd like to be able to
    gem uninstall rails
and at least be told what dependencies rails has, so that if I only needed 
those for rails, they could disappear as well.

I'm suggesting that after this:
| You have requested to uninstall the gem:
|         actionpack-1.5.0
| actionmailer-0.7.0 depends on [actionpack (= 1.5.0)]
| If you remove this gems, one or more dependencies will not be met.
| Continue with Uninstall? [Yn]  y
| Successfully uninstalled actionpack version 1.5.0

I would like to see something like this:
| Would you like to uninstall other gems that were required for actionpack
| but not for any other installed gems? [yN]  y
| Uninstall activesupport-1.2.3? [yN]
....

Cheers,
Dave